#
# spec file for package ocaml-ppx_derivers
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-ppx_derivers
Version:        1.2.1
Release:        bp160.1.7
%{?ocaml_preserve_bytecode}
Summary:        Deriving plugin registry
License:        BSD-3-Clause
Group:          Development/Languages/OCaml
BuildRoot:      %_tmppath/%name-%version-build
URL:            https://github.com/ocaml-ppx/ppx_derivers
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20210409

%description
Ppx_derivers is a tiny package whose sole purpose is to allow
ppx_deriving and ppx_type_conv to inter-operate gracefully when
linked as part of the same ocaml-migrate-parsetree driver.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Languages/OCaml
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
dune_release_pkgs='ppx_derivers'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %{name}.files
%defattr(-,root,root,-)

%files devel -f %{name}.files.devel
%defattr(-,root,root,-)

%changelog
* Fri Apr  9 2021 ohering@suse.de
- Require current ocaml-rpm-macros
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
* Mon Sep 30 2019 ohering@suse.de
- use dune macros from ocaml-rpm-macros
* Thu May 16 2019 andy@onthewings.net
- New upstream release (1.2.1).
  * Convert from Jbuilder to Dune.
* Mon Feb 18 2019 andy@onthewings.net
- Fix install section for ocaml-dune 1.7.1.
* Fri Feb  8 2019 andy@onthewings.net
- Initial packaging.
